Yaf_Dispatcher::setDefaultModule
Yaf_Dispatcher::setRequest
Yaf_Dispatcher
PHP Manual

# Yaf_Dispatcher::setErrorHandler

Set error handler

### Description

public Yaf_Dispatcher Yaf_Dispatcher::setErrorHandler ( call `$callback` , int `$error_types` )

Set error handler for Yaf. when application.dispatcher.throwException is off, Yaf will trigger catchable error while unexpected errors occrred.

Thus, this error handler will be called while the error raise.

### Parameters

`callback`

  A callable callback

`error_types`

### Return Values

### See Also

- Yaf_Dispatcher::throwException
- Yaf_Application::getLastErrorNo
- Yaf_Application::getLastErrorMsg